## org.exist.xquery.value
Class EmptySequence

    java.lang.Object
      org.exist.xquery.value.AbstractSequence
          org.exist.xquery.value.EmptySequence

All Implemented Interfaces:
  Sequence

public class EmptySequence
extends AbstractSequence

Field Summary

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`EmptySequence()`

Method Summary
`void` `add(Item item)` Add an item to the current sequence.
`AtomicValue` `convertTo(int requiredType)` Try to convert the sequence into an atomic value.
`int` `getItemType()` Return the primary type to which all items in this sequence belong.
`int` `getLength()` Returns the number of items contained in the sequence.
`boolean` `hasOne()` Returns whether the sequence has just one item or not.
`boolean` `isEmpty()` Returns whether the sequence is empty or not.
`Item` `itemAt(int pos)` Returns the item located at the specified position within this sequence.
`SequenceIterator` `iterate()` Returns an iterator over all items in the sequence.
`void` `removeDuplicates()` Explicitely remove all duplicate nodes from this sequence.
`NodeSet` `toNodeSet()` Convert the sequence into a NodeSet.
`java.lang.String` `toString()`
`SequenceIterator` `unorderedIterator()` Returns an iterator over all items in the sequence.

Methods inherited from class org.exist.xquery.value.AbstractSequence
`addAll, clearContext, conversionPreference, effectiveBooleanValue, getCardinality, getDocumentSet, getStringValue, hasMany, isCached, isPersistentSet, setIsCached, setSelfAsContext, toJavaObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmptySequence

    public EmptySequence()

Method Detail

### getItemType

    public int getItemType()

  Description copied from interface: `Sequence`
  Return the primary type to which all items in this sequence belong. This is `Type.NODE` for node sets, `Type.ITEM` for other sequences with mixed items.

  Specified by:
    `getItemType` in interface `Sequence`
  Specified by:
    `getItemType` in class `AbstractSequence`

### iterate

    public SequenceIterator iterate()
                             throws XPathException

  Description copied from interface: `Sequence`
  Returns an iterator over all items in the sequence. The items are returned in document order where applicable.

  Specified by:
    `iterate` in interface `Sequence`
  Specified by:
    `iterate` in class `AbstractSequence`
  Throws:
    `XPathException`

### unorderedIterator

    public SequenceIterator unorderedIterator()

  Description copied from interface: `Sequence`
  Returns an iterator over all items in the sequence. The returned items may - but need not - to be in document order.

  Specified by:
    `unorderedIterator` in interface `Sequence`
  Specified by:
    `unorderedIterator` in class `AbstractSequence`

### getLength

    public int getLength()

  Description copied from interface: `Sequence`
  Returns the number of items contained in the sequence. Call this method only when necessary, since it can be resource consuming.

  Specified by:
    `getLength` in interface `Sequence`
  Specified by:
    `getLength` in class `AbstractSequence`

### itemAt

    public Item itemAt(int pos)

  Description copied from interface: `Sequence`
  Returns the item located at the specified position within this sequence. Items are counted beginning at 0.

  Specified by:
    `itemAt` in interface `Sequence`
  Specified by:
    `itemAt` in class `AbstractSequence`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `Sequence`
  Returns whether the sequence is empty or not.

  Specified by:
    `isEmpty` in interface `Sequence`
  Specified by:
    `isEmpty` in class `AbstractSequence`

### hasOne

    public boolean hasOne()

  Description copied from interface: `Sequence`
  Returns whether the sequence has just one item or not.

  Specified by:
    `hasOne` in interface `Sequence`
  Specified by:
    `hasOne` in class `AbstractSequence`

### add

    public void add(Item item)
             throws XPathException

  Description copied from interface: `Sequence`
  Add an item to the current sequence. An `XPathException` may be thrown if the item's type is incompatible with this type of sequence (e.g. if the sequence is a node set). The sequence may or may not allow duplicate values.

  Specified by:
    `add` in interface `Sequence`
  Specified by:
    `add` in class `AbstractSequence`
  Throws:
    `XPathException`

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Sequence`
  Try to convert the sequence into an atomic value. The target type should be specified by using one of the constants defined in class `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Sequence`
  Overrides:
    `convertTo` in class `AbstractSequence`
  Throws:
    `XPathException`

### toNodeSet

    public NodeSet toNodeSet()
                      throws XPathException

  Description copied from interface: `Sequence`
  Convert the sequence into a NodeSet. If the sequence contains items which are not nodes, an XPathException is thrown.

  Throws:
    `XPathException` - if the sequence contains items which are not nodes.

### removeDuplicates

    public void removeDuplicates()

  Description copied from interface: `Sequence`
  Explicitely remove all duplicate nodes from this sequence.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractSequence`

Copyright (C) Wolfgang Meier. All rights reserved.